Subject: update
From: "Michael B" <[email-masked]>
To: "Mangers LLPS" <[email-masked]>
Date: Mon, 17 Feb 2014 16:43:34 -0500

On 2/14/2014, Inbound had $1,872.17 in credit card sales with $1,048.00 in invoices that were paid.  There were 7 reps working 47.7 hours.  The sales/hour is $39.25.

I agree totally with you Angela about looking into using an outside employment agency for the seasonal workers.  At the very least, I think it would aide in having to deal with all of the unemployment issues that have to be dealt with.  I think it would also improve on the screening process and place the burden of that on them.  I can get a hold of my contact at Advanced Employment and least schedule a sit down to find what is available.  He should be back from Florida by the end of the month.  Maybe good timing for this!

Thank you,
Michael B
LLPS